thunderbird crashes every time I delete a message [@ JS_strtod] if allchars program is installed courtesy Borland Delphi

RESOLVED INVALID

Status

--
critical
RESOLVED INVALID
13 years ago
7 years ago

People

(Reporter: kent, Assigned: mscott)

Tracking

({crash, topcrash})

Trunk
x86
Windows XP
crash, topcrash
Bug Flags:
wanted1.8.1.x +
blocking1.8.0.7 -
blocking1.8.0.9 -
wanted1.8.0.x +

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [sg:investigate] [allchars] [fixed by AllChars v3.6.3 patch], crash signature)

Attachments

(1 attachment)

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2

Thunderbird crashes every time, without exception, that I delete a message.  This just started 3 days ago.  There's been no change in my system that I know of.

Reproducible: Always

Steps to Reproduce:
1.highlight message
2.press Delete key, or Edit > Delete message
3.

Actual Results:  
It crashes immediately, then a dialog pops up, "thunderbird.exe has encountered a problem and needs to close...  Send Error Report/Don't Send".  

The error report header is :

AppName: thunderbird.exe	 
AppVer: 1.9.20060.41607	 
ModName: js3250.dll
ModVer: 4.0.0.0	 
Offset: 00012b60



Expected Results:  
n/a  (it shouldn't have crashed)

Here's the complete error report that Windows prepares every time:


<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="thunderbird.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="8316" CHECKSUM="0xE3366987" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x115A6" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="freebl3.dll" SIZE="172153" CHECKSUM="0xBA0E6C37" BIN_FILE_VERSION="3.11.1.0" BIN_PRODUCT_VERSION="3.11.1.0" PRODUCT_VERSION="3.11.1 Beta" FILE_DESCRIPTION="NSS freebl Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.11.1 Beta" ORIGINAL_FILENAME="freebl3.dll" INTERNAL_NAME="freebl3" LEGAL_COPYRIGHT="Copyright © 2005 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x36CED" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.11.1.0" UPTO_BIN_PRODUCT_VERSION="3.11.1.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="416353" CHECKSUM="0xBDBEEE8D" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x72011" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="MapiProxy.dll" SIZE="18042" CHECKSUM="0xB34EF811" BIN_FILE_VERSION="0.8.0.0" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla.org" PRODUCT_NAME="Thunderbird" FILE_VERSION="0.8" ORIGINAL_FILENAME="" INTERNAL_NAME="MapiProxy" LEGAL_COPYRIGHT="Mozilla.org" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x106BD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="0.8.0.0" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="mozMapi32.dll" SIZE="6259" CHECKSUM="0xB0982EF4" BIN_FILE_VERSION="0.8.0.0" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla.org" PRODUCT_NAME="Thunderbird" FILE_VERSION="0.8" ORIGINAL_FILENAME="" INTERNAL_NAME="mozMapi32" LEGAL_COPYRIGHT="Mozilla.org" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4691" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="0.8.0.0" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="nsldap32v50.dll" SIZE="139398" CHECKSUM="0xE07041EF" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2A6B6" LINKER_VERSION="0x50000" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" />
    <MATCHING_FILE NAME="nsldappr32v50.dll" SIZE="24714" CHECKSUM="0xC95E06D6" MODULE_TYPE="WIN32" PE_CHECKSUM="0x7D24" LINKER_VERSION="0x50000" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="155752" CHECKSUM="0x19E9BE36" BIN_FILE_VERSION="4.7.0.0" BIN_PRODUCT_VERSION="4.7.0.0" PRODUCT_VERSION="4.7 Beta" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7 Beta" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2E90B" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.0.0" UPTO_BIN_PRODUCT_VERSION="4.7.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="368736" CHECKSUM="0xFCC284A5" BIN_FILE_VERSION="3.11.1.0" BIN_PRODUCT_VERSION="3.11.1.0" PRODUCT_VERSION="3.11.1 Beta" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.11.1 Beta" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x6562C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.11.1.0" UPTO_BIN_PRODUCT_VERSION="3.11.1.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="233575" CHECKSUM="0x19725583" BIN_FILE_VERSION="1.60.0.0" BIN_PRODUCT_VERSION="1.60.0.0" PRODUCT_VERSION="1.60" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.60" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x426DF" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.60.0.0" UPTO_BIN_PRODUCT_VERSION="1.60.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="28781" CHECKSUM="0x39898FE0" BIN_FILE_VERSION="4.7.0.0" BIN_PRODUCT_VERSION="4.7.0.0" PRODUCT_VERSION="4.7 Beta" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7 Beta" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x800C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.0.0" UPTO_BIN_PRODUCT_VERSION="4.7.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="24680" CHECKSUM="0xEE0DADF7" BIN_FILE_VERSION="4.7.0.0" BIN_PRODUCT_VERSION="4.7.0.0" PRODUCT_VERSION="4.7 Beta" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7 Beta" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE362" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.0.0" UPTO_BIN_PRODUCT_VERSION="4.7.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="regxpcom.exe" SIZE="7789" CHECKSUM="0x986574DB" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="12/02/2005 00:01:09" UPTO_LINK_DATE="12/02/2005 00:01:09" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="106596" CHECKSUM="0xCEAB314D" BIN_FILE_VERSION="3.11.1.0" BIN_PRODUCT_VERSION="3.11.1.0" PRODUCT_VERSION="3.11.1 Beta" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.11.1 Beta" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1E608" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.11.1.0" UPTO_BIN_PRODUCT_VERSION="3.11.1.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="241768" CHECKSUM="0x3D7F5063" BIN_FILE_VERSION="3.11.1.0" BIN_PRODUCT_VERSION="3.11.1.0" PRODUCT_VERSION="3.11.1 Beta" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.11.1 Beta" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x47FC6" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.11.1.0" UPTO_BIN_PRODUCT_VERSION="3.11.1.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="114784" CHECKSUM="0x83CBD3B0" BIN_FILE_VERSION="3.11.1.0" BIN_PRODUCT_VERSION="3.11.1.0" PRODUCT_VERSION="3.11.1 Beta" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.11.1 Beta" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x28444" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.11.1.0" UPTO_BIN_PRODUCT_VERSION="3.11.1.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="thunderbird.exe" SIZE="8115816" CHECKSUM="0x5A8BDB6E" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="3.0.0.0" PRODUCT_VERSION="3.0a1" FILE_DESCRIPTION="Mozilla Thunderbird" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="thunderbird.exe" INTERNAL_NAME="Thunderbird" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="3.0.0.0" LINK_DATE="04/16/2006 15:27:47" UPTO_LINK_DATE="04/16/2006 15:27:47" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="123518" CHECKSUM="0x5F33E1A3" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:03:39" UPTO_LINK_DATE="04/16/2006 15:03:39" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="7780" CHECKSUM="0x59341086" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xAC2C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_compat.dll" SIZE="67695" CHECKSUM="0xBE403A42" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom_obsolete" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x118DC" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_core.dll" SIZE="418410" CHECKSUM="0xDD89CF25" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x72D84" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpicleanup.exe" SIZE="67696" CHECKSUM="0x52B07777" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="xpicleanup.exe" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:04:59" UPTO_LINK_DATE="04/16/2006 15:04:59" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpistub.dll" SIZE="6762" CHECKSUM="0xF7735790" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="xpistub" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x816E" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:35" UPTO_LINK_DATE="04/16/2006 15:40:35" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\GoogleDesktopMozilla.dll" SIZE="109568" CHECKSUM="0x19FB5036" MODULE_TYPE="WIN32" PE_CHECKSUM="0x24D41" LINKER_VERSION="0x0" LINK_DATE="03/25/2005 19:40:20" UPTO_LINK_DATE="03/25/2005 19:40:20" />
    <MATCHING_FILE NAME="components\jar50.dll" SIZE="64104" CHECKSUM="0x7EC5CDE8" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="jar" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x13C40" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jsd3250.dll" SIZE="49250" CHECKSUM="0xB7A749C0" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="jsdebug" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1A08C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\myspell.dll" SIZE="25725" CHECKSUM="0xFD35281A" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="myspell" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xED5E" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\spellchk.dll" SIZE="34422" CHECKSUM="0xFF05F2D8" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="spellchecker" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xABD7" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\xpinstal.dll" SIZE="183402" CHECKSUM="0xA416E0EC" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2F130" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="extensions\talkback@mozilla.org\components\BrandRes.dll" SIZE="1556480" CHECKSUM="0x7EF8A38E" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="05/07/2003 00:03:27" UPTO_LINK_DATE="05/07/2003 00:03:27" />
    <MATCHING_FILE NAME="extensions\talkback@mozilla.org\components\fullsoft.dll" SIZE="150912" CHECKSUM="0xDEB7723A" BIN_FILE_VERSION="2.2.0.0" BIN_PRODUCT_VERSION="2.2.0.8" PRODUCT_VERSION="2.2" FILE_DESCRIPTION="Talkback Library" COMPANY_NAME="Full Circle Software, Inc." PRODUCT_NAME="Full Circle Talkback" FILE_VERSION="2.2.unofficial" ORIGINAL_FILENAME="fullsoft.dll" INTERNAL_NAME="Talkback Library" LEGAL_COPYRIGHT="(c) Copyright 1997-1999 Full Circle Software, Inc. All Rights Reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3137A" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="2.2.0.0" UPTO_BIN_PRODUCT_VERSION="2.2.0.8" LINK_DATE="05/28/2003 22:41:47" UPTO_LINK_DATE="05/28/2003 22:41:47" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="extensions\talkback@mozilla.org\components\qfaservices.dll" SIZE="8816" CHECKSUM="0xC250B37A" BIN_FILE_VERSION="1.9.20060.41607" BIN_PRODUCT_VERSION="1.9.0.0" PRODUCT_VERSION="1.9a1: 2006041607" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Thunderbird" FILE_VERSION="1.9a1: 2006041607" ORIGINAL_FILENAME="" INTERNAL_NAME="qfaservices" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.20060.41607" UPTO_BIN_PRODUCT_VERSION="1.9.0.0" LINK_DATE="04/16/2006 15:41:20" UPTO_LINK_DATE="04/16/2006 15:41:20" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="extensions\talkback@mozilla.org\components\talkback.exe" SIZE="401408" CHECKSUM="0x4E86F99E" BIN_FILE_VERSION="2.2.0.0" BIN_PRODUCT_VERSION="2.2.0.8" PRODUCT_VERSION="2.2" FILE_DESCRIPTION="Talkback" COMPANY_NAME="Full Circle Software, Inc." PRODUCT_NAME="Full Circle Talkback" FILE_VERSION="2.2.unofficial" ORIGINAL_FILENAME="talkback.exe" INTERNAL_NAME="Talkback" LEGAL_COPYRIGHT="(c) Copyright 1997-1999 Full Circle Software, Inc. All Rights Reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="2.2.0.0" UPTO_BIN_PRODUCT_VERSION="2.2.0.8" LINK_DATE="05/28/2003 22:41:58" UPTO_LINK_DATE="05/28/2003 22:41:58" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppl3260.dll" SIZE="139305" CHECKSUM="0x3DD5E19F" BIN_FILE_VERSION="6.0.11.2303" BIN_PRODUCT_VERSION="6.0.11.2303" PRODUCT_VERSION="6.0.11.2303" FILE_DESCRIPTION="RealPlayer(tm) LiveConnect-Enabled Plug-In" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit) " FILE_VERSION="6.0.11.2303" ORIGINAL_FILENAME="NPPL3260.DLL" INTERNAL_NAME="NPPL" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1995-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.11.2303" UPTO_BIN_PRODUCT_VERSION="6.0.11.2303" LINK_DATE="11/15/2005 08:39:41" UPTO_LINK_DATE="11/15/2005 08:39:41" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprjplug.dll" SIZE="24621" CHECKSUM="0xDBC64D22" BIN_FILE_VERSION="1.0.2.2361" BIN_PRODUCT_VERSION="1.0.2.2361" PRODUCT_VERSION="1.0.2.2361" FILE_DESCRIPTION="RealJukebox Netscape Plugin" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealJukebox NS Plugin" FILE_VERSION="1.0.2.2361" ORIGINAL_FILENAME="nprjplug.dll" INTERNAL_NAME="RealJukebox" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1999-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.2.2361" UPTO_BIN_PRODUCT_VERSION="1.0.2.2361" LINK_DATE="11/15/2005 08:38:03" UPTO_LINK_DATE="11/15/2005 08:38:03" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprpjplug.dll" SIZE="81967" CHECKSUM="0x83B8F057" BIN_FILE_VERSION="6.0.12.1465" BIN_PRODUCT_VERSION="6.0.12.1465" PRODUCT_VERSION="6.0.12.1465" FILE_DESCRIPTION="6.0.12.1465" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer Version Plugin" FILE_VERSION="6.0.12.1465" ORIGINAL_FILENAME="npjplug.dll" INTERNAL_NAME="nprpjplug" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 2001-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.12.1465" UPTO_BIN_PRODUCT_VERSION="6.0.12.1465" LINK_DATE="11/15/2005 08:37:57" UPTO_LINK_DATE="11/15/2005 08:37:57" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="uninstall\uninstall.exe" SIZE="90768" CHECKSUM="0x6DA0BC1A" BIN_FILE_VERSION="1.0.0.2" BIN_PRODUCT_VERSION="1.0.0.2" PRODUCT_VERSION="1, 0, 0, 2" FILE_DESCRIPTION="uninstall" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla uninstaller" FILE_VERSION="1, 0, 0, 2" ORIGINAL_FILENAME="uninstall.exe" INTERNAL_NAME="uninstall" LEGAL_COPYRIGHT="Copyright © 2001" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.2" UPTO_BIN_PRODUCT_VERSION="1.0.0.2" LINK_DATE="04/16/2006 15:03:51" UPTO_LINK_DATE="04/16/2006 15:03:51" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="uninstall\UninstallThunderbird.exe" SIZE="107132" CHECKSUM="0x14F4A9BF" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="12/02/2005 00:41:21" UPTO_LINK_DATE="12/02/2005 00:41:21" />
</EXE>
<EXE NAME="js3250.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="js3250.dll" SIZE="416353" CHECKSUM="0xBDBEEE8D" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x72011" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="04/16/2006 15:40:34" UPTO_LINK_DATE="04/16/2006 15:40:34" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="930816" CHECKSUM="0xF60887C3" BIN_FILE_VERSION="5.1.2600.1560" BIN_PRODUCT_VERSION="5.1.2600.1560" PRODUCT_VERSION="5.1.2600.1560" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.1560 (xpsp2_gdr.040517-1325)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xEC3A9" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.1560" UPTO_BIN_PRODUCT_VERSION="5.1.2600.1560" LINK_DATE="06/17/2004 17:58:35" UPTO_LINK_DATE="06/17/2004 17:58:35" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>
Do you get a talkback id? If you don't have talkback installed, reinstall thunderbird and choose talkback it in the custom install.
(Reporter)

Comment 2

13 years ago
I reinstalled Thunderbird (for the 3rd time) and custom-installed the talkback feature.  Now the crashing appears to have stopped.  Reason...?  Anyway, thanks to mkmelin+bmo@iki.fi, who suggested this.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → FIXED

Comment 3

13 years ago
all of your crashes look like this, and it scares me a lot.

Incident ID: 17648360
Stack Signature	JS_strtod 6cffd208
Product ID	Thunderbird15
Build ID	2005120115
Trigger Time	2006-04-16 13:21:34.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600 
Module	js3250.dll + (00010403)
URL visited	
User Comments	
Since Last Crash	37 sec
Total Uptime	2144991 sec
Trigger Reason	Invalid operation
Source File, Line No.	e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsdtoa.c, line 1243
Stack Trace 	
JS_strtod  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsdtoa.c, line 1243]
js_strtod  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsnum.c, line 936]
js_ValueToNumber  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsnum.c, line 744]
num_isNaN  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsnum.c, line 73]
js_Invoke  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 1177]
js_Interpret  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 3523]
js_Invoke  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 1197]
nsXPCWrappedJSClass::CallMethod  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp, line 1369]
nsXPCWrappedJS::CallMethod  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp, line 462]
SharedStub  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp, line 147]
nsMsgStatusFeedback::OnStateChange  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/mailnews/base/src/nsMsgStatusFeedback.cpp, line 176]
nsDocLoader::FireOnStateChange  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 1210]
nsDocLoader::doStopDocumentLoad  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 844]
nsDocLoader::OnStopRequest  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 665]
nsLoadGroup::RemoveRequest  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/netwerk/base/src/nsLoadGroup.cpp, line 732]
nsDocument::UnblockOnload  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/content/base/src/nsDocument.cpp, line 4968]
DestroyImagePLEvent  [e:/builds/tinderbox/Tb-Mozilla1.8/WINNT_5.0_Depend/mozilla/content/base/src/nsImageLoadingContent.cpp, line 670]
0x778b0c24
0x00280028
0x02200000
Status: RESOLVED → UNCONFIRMED
Component: General → JavaScript Engine
Keywords: crash
Product: Thunderbird → Core
Resolution: FIXED → ---
Summary: thunderbird crashes every time I delete a message → thunderbird crashes every time I delete a message [@ JS_strtod]
Version: unspecified → 1.8 Branch

Updated

13 years ago
Assignee: mscott → general
QA Contact: general → general

Comment 5

13 years ago
Kent, do you have an AMD processor?

PS. no need to cc me on JS bugs. I watch both the default owner and qa assignment in addition to brendan, mrbkap, ...
(Reporter)

Comment 6

13 years ago
(In reply to comment #5)
> Kent, do you have an AMD processor?
> 
> PS. no need to cc me on JS bugs. I watch both the default owner and qa
> assignment in addition to brendan, mrbkap, ...
> 

The processor is an Intel Pentium 4, 3.00 GHz.  The specs on it are:
Performance rating - PR3989
Cores per processor: 1 unit
Threads per core: 2 units
Package FC(mu)PGA478
Name:  P4P-T/J (Prescott) Pentium 4E 90nm 2.8-3-9GHz 1.25-1.40V
Microcode:  MUDF4105...

That should be enuff.

Kent
(Reporter)

Comment 7

13 years ago
I just received a ZDNet security alert about Microsoft's latest IE patch, which apparently has implications beyond the IE browser.  Other applications have had problems after installing the patch.  The patch was installed on my computer just before the "bug" in Thunderbird popped up -- could there be a relationship here?

Comment 8

13 years ago
This was a big crasher in tb15 with a few ff15 crashers, but I don't see it in later builds. Kent, can you install a thunderbird 1.5.0.2 candidate build from <http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-mozilla1.8/> and see if you still have problems?
(Reporter)

Comment 9

13 years ago
ACTUALLY, IT'S JUST AS BAD AS BEFORE.  FOR A SHORT WHILE IT WASN'T CRASHING, BUT IT IS AGAIN -- AFTER EVERY MESSAGE I DELETE.

(In reply to comment #2)
> I reinstalled Thunderbird (for the 3rd time) and custom-installed the talkback
> feature.  Now the crashing appears to have stopped.  Reason...?  Anyway, thanks
> to mkmelin+bmo@iki.fi, who suggested this.
> 

(Reporter)

Comment 10

13 years ago
It's actually getting worse -- today (Tuesday) -- I've reinstalled Thunderbird over and over, done diagnostics up the kazoo on my system.  I'd hate to lose Thunderbird over this.  Any other kind folks have any ideas...?
(Reporter)

Comment 11

13 years ago
Getting much worse.  Now every time I switch to a new email display Thunderbird crashes.  Just finished running Microsoft's new memory-chip diagnostics -- indicated everything's okay.  Have exited everthing running in background (AVG anti-virus, weather channel, Skype...) and have again reinstalled Thunderbird -- still crashes with every action.

Comment 12

13 years ago
Are you running a recent trunk version of TB? 1.9.20060.41607  looks like a trunk build from 4/16. Do you have any extensions installed?
(Reporter)

Comment 13

13 years ago
(In reply to comment #12)
> Are you running a recent trunk version of TB? 1.9.20060.41607  looks like a
> trunk build from 4/16. Do you have any extensions installed?
> 

No extensions are installed anymore.  I don't know what a "trunk version" is.  I'm just installing the latest versions every day.
(Reporter)

Comment 14

13 years ago
I just discovered that if I delete a message by choosing "Edit", then "Delete message", the program doesn't crash.  It crashes when I delete a message with the Delete key.

Comment 15

13 years ago
latest versions is the same as trunk, thx. 

I don't know why the delete key would be different - what happens with the delete button on the toolbar, or the context menu "delete this message"?
Version: 1.8 Branch → Trunk
Confirming, and putting in Thunderbird for now.  Probably something lower-level regressed on the trunk, but likely not the JS engine.

/be
Status: UNCONFIRMED → NEW
Component: JavaScript Engine → General
Ever confirmed: true
Product: Core → Thunderbird

Comment 17

13 years ago
Kent's incidents in talkback are all for MozillaOrgThunderbird15Win322005120115.

Kent, please tell use exactly where (the url) you are getting your thunderbird builds and how you are installing them. Are you uninstalling the previous version first? Using zip builds or the installer? etc.
Priority: -- → P1

Comment 18

13 years ago
oops, didn't mean to change the priority.
Priority: P1 → --
(Reporter)

Comment 19

13 years ago
(In reply to comment #17)
> Kent's incidents in talkback are all for
> MozillaOrgThunderbird15Win322005120115.
> 
> Kent, please tell use exactly where (the url) you are getting your thunderbird
> builds and how you are installing them. Are you uninstalling the previous
> version first? Using zip builds or the installer? etc.
> 
(In reply to comment #17)
> Kent's incidents in talkback are all for
> MozillaOrgThunderbird15Win322005120115.
> 
> Kent, please tell use exactly where (the url) you are getting your thunderbird
> builds and how you are installing them. Are you uninstalling the previous
> version first? Using zip builds or the installer? etc.
> 
I've been getting my installs from http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/

I'm not uninstalling the previous version -- just opening the zip file and copying everything into the Mozilla Thunderbird directory.  Could this be the problem???


Comment 20

13 years ago
you should be clearing out the Mozilla Thunderbird directory before unzipping, to be on the safe side.

You are definitely submitting talkback reports with these trunk builds that are crashing? It's weird that Talkback thinks you're running a 1.5 build. Help | about says it's a version 3 alpha build? 
(Reporter)

Comment 21

13 years ago
(In reply to comment #20)
> you should be clearing out the Mozilla Thunderbird directory before unzipping,
> to be on the safe side.
> 
> You are definitely submitting talkback reports with these trunk builds that are
> crashing? It's weird that Talkback thinks you're running a 1.5 build. Help |
> about says it's a version 3 alpha build? 
> 

Nope.  Help says "version 2 alpha 1 (20060417)".

Comment 22

13 years ago
OK, that's a 1.8 branch build, e.g., latest-mozilla1.8

Comment 23

13 years ago
Kent, you have definitely horked your installation. Remove the Mozilla Thunderbird directory and install a 1.5.0.2 build from <http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.2-candidates/>. I recommend you use the installer.
(Reporter)

Comment 24

13 years ago
(In reply to comment #23)
> Kent, you have definitely horked your installation. Remove the Mozilla
> Thunderbird directory and install a 1.5.0.2 build from
> <http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.2-candidates/>.
> I recommend you use the installer.
> 

Thanks for the suggestion -- we seem to be getting somewhere.  After installing 1.5.0.2 in a clean directory, I deleted 6 emails.  Two of them caused the program to crash, but that's a BIG improvement, actually.  I can live with that kind of a ratio.

Still, it would be useful (for the large community, I should imagine) to understand why this is happening.

Comment 25

13 years ago
(In reply to comment #24)

Did you submit talkback incidents for the crashes? I don't see any new ones for Thunderbird 1.5.0.2. Try this: uninstall Thunderbird using Add/Remove programs and then install it again using custom installation and make sure to install talkback, that is assuming you used the installer.
(Reporter)

Comment 26

13 years ago
(In reply to comment #25)
> (In reply to comment #24)
> 
> Did you submit talkback incidents for the crashes? I don't see any new ones for
> Thunderbird 1.5.0.2. Try this: uninstall Thunderbird using Add/Remove programs
> and then install it again using custom installation and make sure to install
> talkback, that is assuming you used the installer.
> 
Talkback is installed here.  Someone inadvertently changed the status of the bug report to "New", though it's 3 days old, and that confused the issue for a while.

Comment 27

13 years ago
*** Bug 344103 has been marked as a duplicate of this bug. ***

Updated

13 years ago
Assignee: general → mscott
QA Contact: general → general

Comment 28

13 years ago
(In reply to comment #27)
> *** Bug 344103 has been marked as a duplicate of this bug. ***
> 
Ok, this _seems_ to be the same behaviour but it is _not_! In my case TB crashes also when you just chose to read a message selecting it with the mouse. Anyway, it crashed also when I tried to delete mails.

Comment 29

13 years ago
Offtopic: Wouldn't it be easier readable if the first post would have this huge windows error report as attachment? So you won't have to scroll through this bulk of code..

Comment 30

13 years ago
bugzilla doesn't want a provision for redacting comments. we do want a provision for complaining when people try to include a comment w/ that specific xml garbage, but the bugzilla developers have lots of things to do, and it's no use crying over spilled milk.

Comment 31

13 years ago
(In reply to comment #30)
Thank you for your invaluable input.
--
So is there a workaround for this bug? In the moment TB crashes with each mail I try to read, this is HORRIBLE!

Comment 32

13 years ago
Scott, this is the #2 topcrash on Thunderbird 1.5.0.4 (and 1.5.0.2). So unless Kent Smith has submitted this crash over 1600 times, I think this is something we should look into. ;)
Flags: blocking1.8.0.6?
Flags: blocking-thunderbird2?
Keywords: topcrash

Comment 33

13 years ago
*** Bug 328624 has been marked as a duplicate of this bug. ***
(Reporter)

Comment 34

13 years ago
Sorry to everyone for submitting the long Windows error message.  I thought I was supposed to do that.

Other odd things happening on my machine now -- for example, Internet Explorer, which I have to use occasionally to verify Web code, has become unstable.  So it's possible the Thunderbird crashes have some cause outside the application.  Anyway, much as I truly admire Thunderbird, I've had to abandon it for another email client (Courier).  It's a shame.

So this is a sign-off.

Comment 35

13 years ago
Created attachment 232991 [details]
TB1505 crashes from Talkback
Whiteboard: [sg:investigate]
So, it's worth noting that these crashes are all "Invalid Operation" crashes.  So that makes me wonder:  what CPU do the people who see this crash have?  (On Windows XP, you can tell by doing Start -> Control Panel -> System -> General, or my right clicking on "My Computer", choosing "Properties", and looking in the General tab.)

Comment 38

13 years ago
Could this be related? Threads per core: 2 units? Is it a common configuration?
Like the stacks for bug 346933, the raw stack dump data in the detailed talkback reports doesn't seem to correlate with the stack trace in the summary, so I couldn't extract any more information out of them.
Flags: blocking1.8.0.7? → blocking1.8.0.7+

Comment 40

13 years ago
I'm not sure whether I'm experiencing really the same bug, but it's massive - here the incident id's of the dumps I sent via talkback:

TB22217698M, TB22217688Q, TB22183734X, TB22181303K, TB22181134H, TB22157613Q, TB22143001E, TB22142616W, TB22047389W, TB22020864Z, TB22020798Z, TB22018383M, TB22017017Z, TB22015654G, TB22014363E, TB22014307X, TB22012320H, TB22007707X, TB22007702Y, TB22007698Y, TB21960805W, TB21932149M, TB21932097Q, TB21932096X, TB21932082X, TB21932075G, TB21932074M, TB21932071E, TB21931760Z, TB21891718Q, TB21854998Y, TB21854809X, TB21854765G, TB21726574K

crash happens arbitrarily between 2 and 10 times a day, upon selecting or deleting a message

Comment 41

13 years ago
Please also note, that the crash series started to happen after updating thunderbird to 1.5.0.5 (about previous version I'm not exactly sure, I believe it was 1.0.6, but could also have been 1.0.7 or 1.0.8).

Comment 42

13 years ago
Additional info:

Since I disabled the message preview frame, no crashes occur anymore! I really hope, though, that one of the next dot releases fixes this.

If the data from talkback incidents are lacking some vital information, let me know.

Kind regards.

Comment 43

13 years ago
Have you tried this, to see if it has any effect? From bug 344103 :

Deleting the "XUL.mfl"-file in "C:\Dokuments and Settings\User Name\Local
Settings\Application Data\Thunderbird\Profiles\yourprofilename seems to reduce
the amount of crashes, but only for a short period of time. 

Comment 44

13 years ago
(In reply to comment #43)
> Have you tried this, to see if it has any effect? From bug 344103 :
> 
> Deleting the "XUL.mfl"-file in "C:\Dokuments and Settings\User Name\Local
> Settings\Application Data\Thunderbird\Profiles\yourprofilename seems to reduce
> the amount of crashes, but only for a short period of time. 
> 
I'm puzzled by this 'bug' - I've never had a crash deleting emails - now on version 1.5.0.5 (20060821)- running Win XPPro SP2 - keeping everything fully up to date in Windows, IE (7 Beta3)... Always downloading Tb over the last update..
David

Comment 45

13 years ago
Joerg, do you have any idea what tortoisesvn.dll is? I see that at the top of your stack, and afaik, it's not part of TB. 
Not looking like we'll safely figure this out in time for 1.8.0.7
Flags: blocking1.8.0.8?
Flags: blocking1.8.0.7-
Flags: blocking1.8.0.7+

Comment 47

13 years ago
tortoisesvn is a windows explorer shell extension for svn integration. there's also a tortoisecvs. when last i checked they leaked like a sieve, so i uninstalled them. they'll appear anytime you use a filepicker in a process.

note that they shouldn't cause crashes, since i already tried to fix exception handling for filepickers. however, they might today, as it turns out that w/ the current compilers we might not be properly catching that stuff, there's a bug w/ a patch which i believe is getting lost in review queues.

david: could you please stick that stack *inline* into some bug (any bug, i don't care, just so long as gmail can find it).

Comment 48

13 years ago
Here's the stack - maybe it's simply Talkback getting confused at the top of the stack. I don't think there's any reason for nsHTMLEditor::RemoveInlinePropertyImpl to be on the stack

JS_strtod  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsdtoa.c, line 1243]
js_strtod  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsnum.c, line 936]
js_ValueToNumber  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsnum.c, line 744]
num_isNaN  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsnum.c, line 73]
js_Invoke  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1188]
js_Interpret  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 3584]
js_Invoke  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1208]
nsXPCWrappedJSClass::CallMethod  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp, line 1410]
nsXPCWrappedJS::CallMethod  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp, line 462]
SharedStub  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp, line 147]
nsMsgStatusFeedback::OnStateChange  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/mailnews/base/src/nsMsgStatusFeedback.cpp, line 176]
nsDocLoader::FireOnStateChange  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 1210]
nsDocLoader::doStopDocumentLoad  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 844]
nsDocLoader::OnStopRequest  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 665]
nsLoadGroup::RemoveRequest  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/netwerk/base/src/nsLoadGroup.cpp, line 732]
PresShell::RemoveDummyLayoutRequest  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 7125]
DummyLayoutRequestEvent::HandleEvent  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 7025]
0x778b0c24
nsHTMLEditor::RemoveInlinePropertyImpl  [c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/editor/libeditor/html/nsHTMLEditorStyle.cpp, line 1375]
tortoisesvn.dll + 0x60292 (0x029a0292)

Comment 49

13 years ago
hrm, terminology, to me that's the middle of the stack, the top is where we crashed (JS_strtod). talkback won't show you the full stack, at some point it'll give up....

the key though is 2 frames above tortoise:
0x778b0c24

once you hit a hex frame, all bets are off, because the debugger (and certainly not talkback) does not have proper stack unwind information.

that could be anything, e.g. bz's favorite WMP crasher. or really *anything*.

Comment 50

13 years ago
in most of these, ebp and esp both seem somewhat trashed - d8000007 and d7ffffff

The other odd thing is that either Talkback is confused, or a lot of the users seeing this bug have a lot of logical drives...

This win98 incident id might be interesting - TB22336538 - it actually claims to know what the code around the ip is, and claims the illegal operation is fldz. 

Comment 51

13 years ago
does talkback say how much space is available/in use on logical drives? if so, are the numbers it provides reasonable and unique per 'user'?
(In reply to comment #50)
> This win98 incident id might be interesting - TB22336538 - it actually claims
> to know what the code around the ip is, and claims the illegal operation is
> fldz. 

Detailed analysis of that incident agrees -- the topmost saved EIP on the stack matches a call to the function containing (near the beginning) the EIP at the time of the crash, and the EIP at the time of the crash does indeed point to an FLDZ (load +0.0 into the top floating point register):

600a0511:       55                      push   %ebp
600a0512:       8b ec                   mov    %esp,%ebp
600a0514:       83 ec 54                sub    $0x54,%esp
600a0517:       8b 4d 10                mov    0x10(%ebp),%ecx
600a051a:       33 c0                   xor    %eax,%eax
600a051c:       d9 ee                   fldz
So talkback doesn't include floating point register state.  If anyone who sees this has an easy way to get floating point register state out of a crash, it could be useful.  My theory at this point is that we're somehow getting a floating point register stack overflow -- Intel x87 FPU uses a "stack" of 8 floating point registers, with rotation, and reports overflow when pushing into a register that's marked as occupied according to the Tag register (could be happening here, I suppose, although I'm not sure whether such a report would trigger a crash).

(That's from skimming Chapter 8 of the IA-32 Intel Architecture Software Developer's Manual, Volume 1, and reading the description of FLDZ in Volume 2a.  March 2006 editions of both.)

That said, if that is the case, it doesn't help figure out what filled up all 8 registers...
(Things that I can think of that could cause such a problem are either (a) compiler bugs (b) bugs in hand-written assembly code or (c) places where our casts cover up calling convention mismatches for functions that take or return floating point values.)

Comment 55

12 years ago
(In reply to comment #43)
> Have you tried this, to see if it has any effect? From bug 344103 :
> 
> Deleting the "XUL.mfl"-file in "C:\Dokuments and Settings\User Name\Local
> Settings\Application Data\Thunderbird\Profiles\yourprofilename seems to reduce
> the amount of crashes, but only for a short period of time. 
> 
Tried it. Behaviour occurs as described above. 
Restoring lost blocking flag
Flags: blocking1.8.0.9?

Comment 57

12 years ago
*** Bug 356985 has been marked as a duplicate of this bug. ***

Comment 58

12 years ago
*** Bug 355084 has been marked as a duplicate of this bug. ***

Comment 59

12 years ago
(In reply to comment #55)
Are there any plans to solve this bug? Or does this just affect a few Computers with a special kind of processor? Just curious.

kind regards,
-- 
tomasio

Comment 60

12 years ago
(In reply to comment #59)

I do hope so since up to the last edition of Mozilla 1.7.13 I have never had a problem of any sort....but now I do.

John
Flags: wanted1.8.1.x+
Flags: wanted1.8.0.x+
Flags: blocking1.8.0.9?
Flags: blocking1.8.0.9-

Comment 61

12 years ago
reporter , please try uninstalling google desktop and removing np*.dll from plugins and components (keep trying until the microsoft xml file like the one here stops reporting them).

assuming i'm right you would not experience this crash with a current nightly.

please verify the above. also please provide a dependency walker log (zipped ) of a crashing run after you remove all plugins and google desktop.

Comment 62

12 years ago
(In reply to comment #61)

Just to let all know that I downloaded the new update 1.0.6 for SeaMonkey today and my problems still persists. One other note - although I know my bug ( Bug 355084 )has been marked as a duplicate of this one, I would tend  to differ with you a bit. The only similarity I can see is that they both involve js3250.dll? I have no problems deleting messages...

Just to refresh my issue, here is the problem....

After opening mail and left clicking on a new or old message I get the error
message as shown below. I do not get the error if I right click and open
the message in a new window...also, after opening a message using right click I
can then left click on any message I want, without getting the error?? But if I
close Sea Monkey and then re-open I will get the error again.

SEAMONKEY caused an exception 10H in module JS3250.DLL at 0177:60dc0560.
Registers:
EAX=00000000 CS=0177 EIP=60dc0560 EFLGS=00010246
EBX=00000000 SS=017f ESP=0065f1a4 EBP=0065f1f8
ECX=0065f248 DS=017f ESI=0065f218 FS=36ef
EDX=00040000 ES=017f EDI=0065f218 GS=0000
Bytes at CS:EIP:
d9 ee 89 01 39 05 7c 42 e1 60 dd 5d ac 89 45 dc
Stack dump:
02538ae8 00000436 007de780 0065f1cc 0065f1c8 00000003 00000008 bff7b9c5
81942b24 00000008 780016b2 7803b128 0065f210 7800b3e8 00000009 7800b3d1 

This error does not occur in Local Folders or when reading Newsgroups.

John

Comment 63

12 years ago
you didn't follow any of my instructions, but i'll add one more note:

sm1.0.6 or *anything* with a high 3rd or 4th digit is *not* new.

get a trunk build.
http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-trunk/seamonkey-1.5a.en-US.win32.zip
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-trunk/thunderbird-3.0a1.en-US.win32.zip

extract it into a new directory. actually *follow* the instructions i gave last time.

the following is an unrelated element for my own benefit to avoid losing the data when talkback cleans up:

Incident ID: 22336538
Stack Signature	JS_strtod 53e237be
Product ID	Thunderbird15
Build ID	2006071912
Trigger Time	2006-08-21 09:56:20.0
Platform	Win32
Operating System	Windows 98 4.10 build 67766446
Module	JS3250.DLL + (0001051c)
URL visited	
User Comments	
Since Last Crash	60 sec
Total Uptime	424591 sec
Trigger Reason	Invalid operation
Source File, Line No.	c:/builds/tinderbox/Tb-Mozilla1.8.0-Release/WINNT_5.2_Depend/mozilla/js/src/jsdtoa.c, line 1243
Stack Trace 	
JS_strtod  [mozilla/js/src/jsdtoa.c, line 1243]
js_strtod  [mozilla/js/src/jsnum.c, line 936]
js_ValueToNumber  [mozilla/js/src/jsnum.c, line 744]
num_isNaN  [mozilla/js/src/jsnum.c, line 73]
js_Invoke  [mozilla/js/src/jsinterp.c, line 1188]
js_Interpret  [mozilla/js/src/jsinterp.c, line 3584]
js_Invoke  [mozilla/js/src/jsinterp.c, line 1208]
nsXPCWrappedJSClass::CallMethod  [mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp, line 1410]
nsXPCWrappedJS::CallMethod  [mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp, line 462]
SharedStub  [mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp, line 147]
nsMsgStatusFeedback::OnStateChange  [mozilla/mailnews/base/src/nsMsgStatusFeedback.cpp, line 176]
nsDocLoader::FireOnStateChange  [mozilla/uriloader/base/nsDocLoader.cpp, line 1210]
nsDocLoader::doStopDocumentLoad  [mozilla/uriloader/base/nsDocLoader.cpp, line 844]
nsDocLoader::OnStopRequest  [mozilla/uriloader/base/nsDocLoader.cpp, line 665]
nsLoadGroup::RemoveRequest  [mozilla/netwerk/base/src/nsLoadGroup.cpp, line 732]
PresShell::RemoveDummyLayoutRequest  [mozilla/layout/base/nsPresShell.cpp, line 7125]
DummyLayoutRequestEvent::HandleEvent  [mozilla/layout/base/nsPresShell.cpp, line 7025]
0x778b0c24

Comment 64

12 years ago
(In reply to comment #63)

OK. First thing, you're not talking to an expert here! I'm just a user who was quite happy using the last version of Mozilla, which never gave me any kind of problem...until I was told I should move to Seamonkey, being Mozilla was no longer supported. I was told this on Mozilla/Seamonkey newsgroup.

Second I have been unable to do a debug, or a stack trace or anything else closely related.....I have been on the windows debug newsgroup - that was a wasted effort. No help there......

Third, I got the notice an update from Mozilla and being the good soldier that I am, I downloaded and installed the new version - thinking isn't this great.

And just to remind you I'm using Win98SE, not XP and not Thunderbird.....

Gee! Remind me never to get involved again....and sorry for sounding a little **** - but you were a little bit on the harsh side.

One last point, something I've noticed since I first reported the bug. Seamonkey hangs momentarily from time to time - 5/10 seconds at a time, this never happened in Mozilla. No problem with any other app's that I use....

John
Timeless, be nicer.

John, I hope you can make allowances for this being a very technical bugsystem, not an end-user support forum, so people may assume you know as much as most devs know.  We have user support forums (http://forums.mozillazine.org/), but let's try to get you sorted out here, since you are here.

/be

Comment 66

12 years ago
(In reply to comment #65)

I'm sorry too! Look I just tried to do the right thing and report a bug, and it was bugging me. Yes, I am just a user (55+) of the product...but I'm also usually smart enough to work through these things when they happen.

A couple of years ago I worked through a system specific/java problem and  worked with a tech at Sun Java (took 2 months) and we resolved the issue.

I've downloaded the trunk build and will install it later this evening and see if it makes any difference, and report back.

Thanks, John

Comment 67

12 years ago
(In reply to comment #66)

OK...I'll work thru this with a bit of help....I've extracted the files, now what do I do? How does I install?

John

Comment 68

12 years ago
:( please indicate which url you picked. i really can't read minds. i'm going to assume you grabbed <http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-trunk/seamonkey-1.5a.en-US.win32.zip> open the seamonkey folder and then open seamonkey.exe (e.g. by double clicking)

if it was <http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-trunk/thunderbird-3.0a1.en-US.win32.zip> then you'd open the thunderbird folder and then open thunderbird.exe (e.g. by double clicking)

instructions for using dependency walker can be found at: http://www.mozilla.org/quality/help/dependency-walker.html

Comment 69

12 years ago
(In reply to comment #68)

It was, <http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-trunk/seamonkey-1.5a.en-US.win32.zip>
open the seamonkey folder and then open seamonkey.exe (e.g. by double clicking)

Nothing happens when I double click on seamonkey.exe....Zippo, nothing....

And yes my problem is with Seamonkey.....how many times do I have to say it....Not Thunderbird.  :-)

Comment 70

12 years ago
sorry, the first 59 or so comments talk about thunderbird, as does the bug summary. i really can't juggle the thousands of bugs i read that well.

did you have a seamonkey running when you tried to run seamonkey? if not, that's kinda disappointing...

start>run>command
---
set MOZ_NO_REMOTE=1
set NSPR_LOG_FILE=c:\nspr.log
set NSPR_LOG_MODULES=all:5
{drag seamonkey.exe here} -console<enter>
---
what happens?
and browse through the file c:\nspr.log

Comment 71

12 years ago
(In reply to comment #70)

Done....

I've read through it, nothing jumps out at me....Here is a direct link to the log..

http://users.eastlink.ca/~thereinders/nspr.log

John

Comment 72

12 years ago
(In reply to comment #71)

Sorry, you also askeed me what happened. Oops!

As I kind of interupted your message I should have Seamonkey up and running when I ran seamonkey.exe form the trunk build?

At any arte the only thing that happened (it was quick) a seamonkey window briefly came up and I think a second window - but it happened fast. Sorry I blinked....

At any rate I went and found the log file....so I'm not sure what really happened. John 

Comment 73

12 years ago
(In reply to comment #72)

Dependency Walker file at:

http://users.eastlink.ca/~thereinders/seamonkey.txt

Just used the default settings and ran the profiler....

John

Comment 74

12 years ago
thanks. ok, i don't see anything strange in your log. which really sucks for me. i'm going to need to figure out which debugger is available for 9x.

from the looks of it, C:\Program Files\OpenWatcom\1.5\binw\wdw.exe is probably going to be our friend.

That comes from: <http://www.openwatcom.org/ftp/open-watcom-c-win32-1.5.exe>
There is a prerelease: <http://www.openwatcom.org/ftp/devel/open-watcom-c-win32-1.6-rc2.exe>, but I don't really know about it. Thankfully there is help.

The alternatives are: <http://www.freedownloadscenter.com/Programming/C_and_C++_Tools_and_Components/Zeta_Debugger_Download.html>

In theory Borland turbo debugger is downloadable. but i can't figure out how to get it.

But basically i guess we want the floating point registers and local disassembly for the crashed code.

There should be enough help for whichever you get, if you pick one and get stuck, you can ask here, but I'm not really familiar w/ them. Hopefully their help or support is good enough.

Comment 75

12 years ago
(In reply to comment #74)

Zeta Debugger wouldn't install, but Dr Watcon did fine, but what a learning experience...You may have to help me and tell me exactly what/how to, because there are more bells and whistles on this thing? Anyway here is what I have so far...

http://users.eastlink.ca/~thereinders/debuggerlog.txt

http://users.eastlink.ca/~thereinders/Dr_Watcom_Log.txt

John

Comment 76

12 years ago
(In reply to comment #75)

As requested by timeless, here is the text of the debuggerlog file...

=======| Log |=======
No task was loaded
A DLL has been loaded:  'COMCTL32.dll'
A DLL has been loaded:  'SHLWAPI.dll'
A DLL has been loaded:  'SHELL32.dll'
A DLL has been loaded:  'plc4.dll'
A DLL has been loaded:  'MSVCRT.dll'
A DLL has been loaded:  'GDI32.dll'
A DLL has been loaded:  'USER32.dll'
A DLL has been loaded:  'WINMM.dll'
A DLL has been loaded:  'WSOCK32.dll'
A DLL has been loaded:  'KERNEL32.dll'
A DLL has been loaded:  'ADVAPI32.dll'
A DLL has been loaded:  'nspr4.dll'
A new task has been loaded
A DLL has been loaded:  'WS2HELP.dll'
A DLL has been loaded:  'WS2_32.dll'
A DLL has been loaded:  'ole32.dll'
A DLL has been loaded:  'OLEAUT32.dll'
A DLL has been loaded:  'RPCRT4.dll'
A DLL has been loaded:  'MSOSS.dll'
A DLL has been loaded:  'CRYPT32.dll'
A DLL has been loaded:  'WININET.dll'
A DLL has been loaded:  'MSWSOCK.dll'
A DLL has been loaded:  'VERSION.dll'
A DLL has been loaded:  'plds4.dll'
A DLL has been loaded:  'xpcom_core.dll'
A DLL has been loaded:  'xpcom.dll'
A DLL has been loaded:  'OLEACC.dll'
A DLL has been loaded:  'WOW32.dll'
A DLL has been loaded:  'KMW_DLL.dll'
A DLL has been loaded:  'comdlg32.dll'
A DLL has been loaded:  'WINSPOOL.DRV'
A DLL has been loaded:  'js3250.dll'
A DLL has been loaded:  'embedcomponents.dll'
A DLL has been loaded:  'jsd3250.dll'
A DLL has been loaded:  'xpc3250.dll'
A DLL has been loaded:  'xpcom_compat.dll'
A DLL has been loaded:  'msgbsutl.dll'
A DLL has been loaded:  'msgMapi.dll'
A DLL has been loaded:  'caps.dll'
A DLL has been loaded:  'xppref32.dll'
A DLL has been loaded:  'mozz.dll'
A DLL has been loaded:  'necko.dll'
A DLL has been loaded:  'MSAFD.dll'
A DLL has been loaded:  'SHFOLDER.dll'
A DLL has been loaded:  'SensApi.dll'
A DLL has been loaded:  'i18n.dll'
A DLL has been loaded:  'palmsync.dll'
A DLL has been loaded:  'typeaheadfind.dll'
A DLL has been loaded:  'gkgfx.dll'
A DLL has been loaded:  'gklayout.dll'
A DLL has been loaded:  'imglib2.dll'
A DLL has been loaded:  'rdf.dll'
A DLL has been loaded:  'appcomps.dll'
A DLL has been loaded:  'appshell.dll'
A DLL has been loaded:  'gkwidget.dll'
A DLL has been loaded:  'profile.dll'
A DLL has been loaded:  'xpcom_compat_c.dll'
A DLL has been loaded:  'sroaming.dll'
A DLL has been loaded:  'PalmSyncProxy.dll'
A DLL has been unloaded:  'PalmSyncProxy.dll'
A DLL has been loaded:  'chrome.dll'
A DLL has been loaded:  'uconv.dll'
A DLL has been loaded:  'gkparser.dll'
A DLL has been loaded:  'docshell.dll'
A DLL has been loaded:  'gkgfxwin.dll'
A DLL has been loaded:  'webbrwsr.dll'
A DLL has been loaded:  'perms.dll'
A DLL has been loaded:  'cookie.dll'
A DLL has been loaded:  'pipboot.dll'
A DLL has been loaded:  'jsj3250.dll'
A DLL has been loaded:  'oji.dll'
A DLL has been loaded:  'jar50.dll'
A DLL has been loaded:  'msgbase.dll'
A DLL has been loaded:  'txmgr.dll'
A DLL has been loaded:  'msgnews.dll'
A DLL has been loaded:  'addrbook.dll'
A DLL has been loaded:  'srchsvc.dll'
A DLL has been loaded:  'editor.dll'
A DLL has been loaded:  'mime.dll'
A DLL has been loaded:  'mork.dll'
A DLL has been loaded:  'RNR20.dll'
A DLL has been loaded:  'msgcompo.dll'
A DLL has been loaded:  'msglocal.dll'
A DLL has been loaded:  'msgdb.dll'
A DLL has been loaded:  'msgsmime.dll'
A DLL has been loaded:  'mailview.dll'
A DLL has been loaded:  'gkplugin.dll'
A DLL has been loaded:  'urlmon.dll'
A DLL has been loaded:  'NPMIDI32.dll'
A DLL has been loaded:  'MAPISTUB.dll'
A DLL has been unloaded:  'MAPISTUB.dll'
A DLL has been loaded:  'ssl3.dll'
A DLL has been loaded:  'softokn3.dll'
A DLL has been loaded:  'nss3.dll'
A DLL has been loaded:  'smime3.dll'
A DLL has been loaded:  'pipnss.dll'
A DLL has been loaded:  'nssckbi.dll'
A DLL has been loaded:  'wallet.dll'
A DLL has been loaded:  'emitter.dll'
First chance exception: 0xc0000090 at 0x60dc292f
A task exception has occurred: floating point invalid operation

=======| FPU registers (Pentium Pro) |=======
ST(0):Nan                          TAG(0):Nan   ie:1 st:7 im: 0 status: FDA1
ST(1):???????????????????????????? TAG(1):Empty de:0 c0:1 dm: 0 control:1370
ST(2):???????????????????????????? TAG(2):Empty ze:0 c1:0 zm: 0 pc:     extended
ST(3):???????????????????????????? TAG(3):Empty oe:0 c2:1 om: 0 rc:     nearest
ST(4):???????????????????????????? TAG(4):Empty ue:0 c3:1 um: 1 ic:     affine
ST(5):???????????????????????????? TAG(5):Empty pe:1       pm:1 iptr:   0x0177:0x60DC292F
ST(6):???????????????????????????? TAG(6):Empty sf:0       iem:0optr:   0x017F:0x60E07108
ST(7):???????????????????????????? TAG(7):Empty es:1
                       
=======| Modules |=======
[r]COMCTL32      COMCTL32.dll
[r]SHLWAPI       SHLWAPI.dll
[r]SHELL32       SHELL32.dll
[r]plc4          plc4.dll
[r]MSVCRT        MSVCRT.dll
[r]GDI32         GDI32.dll
[r]USER32        USER32.dll
[r]WINMM         WINMM.dll
[r]WSOCK32       WSOCK32.dll
[r]KERNEL32      KERNEL32.dll
[r]ADVAPI32      ADVAPI32.dll
[r]nspr4         nspr4.dll
[r]WS2HELP       WS2HELP.dll
[r]WS2_32        WS2_32.dll
[r]ole32         ole32.dll
[r]OLEAUT32      OLEAUT32.dll
[r]RPCRT4        RPCRT4.dll
[r]MSOSS         MSOSS.dll
[r]CRYPT32       CRYPT32.dll
[r]WININET       WININET.dll
[r]MSWSOCK       MSWSOCK.dll
[r]VERSION       VERSION.dll
[r]plds4         plds4.dll
[r]xpcom_core    xpcom_core.dll
[r]xpcom         xpcom.dll
[r]OLEACC        OLEACC.dll
[r]WOW32         WOW32.dll
[r]KMW_DLL       KMW_DLL.dll
[r]comdlg32      comdlg32.dll
[r]WINSPOOL      WINSPOOL.DRV
[a]js3250        js3250.dll
[r]embedcomponentsembedcomponents.dll
[r]jsd3250       jsd3250.dll
[r]xpc3250       xpc3250.dll
[r]xpcom_compat  xpcom_compat.dll
[r]msgbsutl      msgbsutl.dll
[r]msgMapi       msgMapi.dll
[r]caps          caps.dll
[r]xppref32      xppref32.dll
[r]mozz          mozz.dll
[r]necko         necko.dll
[r]MSAFD         MSAFD.dll
[r]SHFOLDER      SHFOLDER.dll
[r]SensApi       SensApi.dll
[r]i18n          i18n.dll
[r]palmsync      palmsync.dll
[r]typeaheadfind typeaheadfind.dll
[r]gkgfx         gkgfx.dll
[r]gklayout      gklayout.dll
[r]imglib2       imglib2.dll
[r]rdf           rdf.dll
[r]appcomps      appcomps.dll
[r]appshell      appshell.dll
[r]gkwidget      gkwidget.dll
[r]profile       profile.dll
[r]xpcom_compat_cxpcom_compat_c.dll
[r]sroaming      sroaming.dll
[r]chrome        chrome.dll
[r]uconv         uconv.dll
[r]gkparser      gkparser.dll
[r]docshell      docshell.dll
[r]gkgfxwin      gkgfxwin.dll
[r]webbrwsr      webbrwsr.dll
[r]perms         perms.dll
[r]cookie        cookie.dll
[r]pipboot       pipboot.dll
[r]jsj3250       jsj3250.dll
[r]oji           oji.dll
[r]jar50         jar50.dll
[r]msgbase       msgbase.dll
[r]txmgr         txmgr.dll
[r]msgnews       msgnews.dll
[r]addrbook      addrbook.dll
[r]srchsvc       srchsvc.dll
[r]editor        editor.dll
[r]mime          mime.dll
[r]mork          mork.dll
[r]RNR20         RNR20.dll
[r]msgcompo      msgcompo.dll
[r]msglocal      msglocal.dll
[r]msgdb         msgdb.dll
[r]msgsmime      msgsmime.dll
[r]mailview      mailview.dll
[r]gkplugin      gkplugin.dll
[r]urlmon        urlmon.dll
[r]NPMIDI32      NPMIDI32.dll
[r]ssl3          ssl3.dll
[r]softokn3      softokn3.dll
[r]nss3          nss3.dll
[r]smime3        smime3.dll
[r]pipnss        pipnss.dll
[r]nssckbi       nssckbi.dll
[r]wallet        wallet.dll
[r]emitter       emitter.dll

=======| Assembly: js3250 (js3250.dll) |=======
 0177:60DC056A  JS_strtod+00000015
 60DC0560  fldz       
 60DC0562  mov        dword ptr [ecx],eax                                 017F:0065F248=016A4138
 60DC0564  cmp        dword ptr 60E152AC,eax                       js_XMLClass+000007D4=00000001
 60DC056A  fstp       qword ptr -54[ebp]                          017F:0065F1A4=000004360258CD88
 60DC056D  mov        dword ptr -24[ebp],eax                              017F:0065F1D4=0065F210
 60DC0570  mov        dword ptr -08[ebp],eax                              017F:0065F1F0=0065F218
 60DC0573  mov        dword ptr -14[ebp],eax                              017F:0065F1E4=0065F218
 60DC0576  mov        dword ptr -10[ebp],eax                              017F:0065F1E8=81929ACC
 60DC0579  mov        dword ptr -0C[ebp],eax                              017F:0065F1EC=00000000
 60DC057C  mov        dword ptr -30[ebp],eax                              017F:0065F1C8=00000008
 60DC057F  mov        dword ptr -44[ebp],eax                              017F:0065F1B4=0065F1C8
 60DC0582  jne        60DC0589 
 60DC0584  call       near ptr 60DC1920 
 60DC0589  push       ebx 
 60DC058A  push       esi 
 60DC058B  push       edi 
 60DC058C  push       dword ptr 60E152A8                           js_XMLClass+000007D0=007A9730
 60DC0592  call       dword ptr 60E070E4                                  017F:60E070E4=60F84840
 60DC0598  mov        edx,dword ptr 08[ebp]                               017F:0065F200=0065F218
 60DC059B  pop        ecx 
 60DC059C  mov        esi,edx 
 60DC059E  mov        al,byte ptr [edx]                                         017F:00040000=00
 60DC05A0  jmp        60DC05B4 
 60DC05A2  xor        ecx,ecx 
 60DC05A4  inc        ecx 
 60DC05A5  cmp        al,08 
 60DC05A7  jle        60DC05FD 
 60DC05A9  cmp        al,0D 
 60DC05AB  jle        60DC05B1 
 60DC05AD  cmp        al,20
 
=======| CPU registers (Pentium Pro) |=======
EAX:00000000 EBX:00000000 ECX:0065F248 EDX:00040000 ESI:0065F218 EDI:0065F218 EBP:0065F1F8
ESP:0065F1A4 EIP:60DC0560 EFL:00010246 C:  0        P:  1        A:  0        Z:  1
S:  0        I:  1        D:  0        O:  0        DS: 017F     ES: 017F     FS: 4017
GS: 0000     SS: 017F     CS: 0177

Comment 77

12 years ago
> First chance exception: 0xc0000090 at 0x60dc292f
> A task exception has occurred: floating point invalid operation
> 
> =======| FPU registers (Pentium Pro) |=======
> ST(0):Nan                          TAG(0):Nan   ie:1 st:7 im: 0 status: FDA1
> ST(1):???????????????????????????? TAG(1):Empty de:0 c0:1 dm: 0 control:1370
> ST(2):???????????????????????????? TAG(2):Empty ze:0 c1:0 zm: 0 pc:    
> extended
> ST(3):???????????????????????????? TAG(3):Empty oe:0 c2:1 om: 0 rc:     nearest
> ST(4):???????????????????????????? TAG(4):Empty ue:0 c3:1 um: 1 ic:     affine
> ST(5):???????????????????????????? TAG(5):Empty pe:1       pm:1 iptr:  
> 0x0177:0x60DC292F
> ST(6):???????????????????????????? TAG(6):Empty sf:0       iem:0optr:  
> 0x017F:0x60E07108
> ST(7):???????????????????????????? TAG(7):Empty es:1

This is telling us (twice) where the offending instruction is at: 0x60dc292f.  That dump of instructions is where the CPU was when the fault occurred, but 0x60dc292f was where the FPU ran it's last instruction.  Remember, the CPU and FPU run (mostly) asynchronously.

That CPU instruction pointer (EIP = ox60DC0560) is a red herring.

According to Intel's doc the fldz instruction can only cause a fault if all FPU registers are in use (stack overflow), yet it is shown above that 7 of the 8 regs are empty.
(See http://www.intel.com/design/processor/manuals/253666.pdf, page 3-342.)

We're looking at the wrong instructions.

Comment 78

12 years ago
(In reply to comment #61)
> reporter , please try uninstalling google desktop and removing np*.dll from
> plugins and components (keep trying until the microsoft xml file like the one
> here stops reporting them).
> 
> assuming i'm right you would not experience this crash with a current nightly.
> 
> please verify the above. also please provide a dependency walker log (zipped )
> of a crashing run after you remove all plugins and google desktop.
> 
I've been having the same problem with TB crashing upon deleting or selecting a message, for several months. First only with an IMAP account, only in a corporate network (on 2 different machines: a small one, more than 5-year old, with Win 2000; and a three-year old Dell with win XP). Google Desktop was installed only on the XP machine. However, TB never crashed when I was at home (it never crashed outside the corporate network). My profile at home then included not only the IMAP account, but also 2 other POP accounts, some RSS feeds, and 3 newsgroups.

Now, I just got a new machine at home -- a Lenovo running Win XP Pro SP2, and TB there started having severe bouts of crashing every day. My TB profile does *not* include the IMAP mail account any more. I created a fresh TB profile, with only one POP account, and TB crashed upon the first launch. 

I removed Norton Internet Security, and replaced it with Active Virus Shield (based on Kapersky). It did not help. I removed AVS, and installed Avast instead. Did not help.
I uninstalled Google Desktop as suggested above, however I didn't have any np*.dll files C:\Program Files\Mozilla Thunderbird Beta 1\components and there is no plugin folder -- is this where I was supposed to look for them? I then uninstalled TB 1.5.0.8, and replaced it with TB 2.0 (from http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2006-11-18-03-mozilla1.8/thunderbird-2.0b1pre.en-US.win32.installer.exe)

First launch looked promising: I was able to read/delete several messages with no crash. I then was away from the computer for some time, and when I came back the first message I attempted to delete made it crash (see talkback incident TB26237319M).

My machine specs:
Win XP Pro SP2
LENOVO
Model 8258HBF
AMD Athlon(tm) 64 Processor 3200+
1471 MB RAM = 512 MB + 1024 MB DDR-SDRAM (PC3200 / 400 MHz)

Thanks for looking into this very puzzling issue.

Comment 79

12 years ago
I ended up having to completely reinstall my system last night, and I'm please to report that TB 2.0b1pre has not crashed yet. (This time I made sure to remove NIS before anything else.) Let's see what happens when I install Google Desktop again.

Comment 80

12 years ago
(In reply to comment #79)
> I ended up having to completely reinstall my system last night, and I'm please
> to report that TB 2.0b1pre has not crashed yet.

Did you copy your TB files (messages and config) from your old installation to the new, or did you you just start with a totally virgin TB installation?

Comment 81

12 years ago
(In reply to comment #80)
> Did you copy your TB files (messages and config) from your old installation to
> the new, or did you you just start with a totally virgin TB installation?

I restored my earlier TB profile using MozBackup. This profile was created recently though (with TB1.5.0.8 I think), in an attempt to see whether TB would crash less on a fresh profile (but that did not help at the time).

Comment 82

12 years ago
unfortunately my TB has started crashing again. Because the Talkback history is wiped everytime TB updates itself, I can't recall whether the first crash occurred Thursday or Friday. I have yet to uninstall the apps I had added from Thursday on, one by one, to see whether it will make any difference. In the meantime I have uninstalled the few TB extensions I had, except for the talkback.

the X delete button in the toolbar works so far, so does dragging a message into the Trash, but TB crashes most of the time when I press the Delete key, or upon selecting a different message.
We have fixed a jsdtoa crash in Thunderbird 1.5.0.9 (you can wait for the release or try the release candidate in the nightly directory). I wonder if that is this same problem, or simply coincidentally in the same file?
Flags: blocking1.8.1.2+
Flags: blocking1.8.0.10+

Comment 84

12 years ago
the other crash involved some weird FPU stuff, so it wouldn't surprise me at all if it were the same crash.

Comment 85

12 years ago
I've been on the 3alpha nightlies for quite some time now. Does the fix mentionned in Comment #83 also apply to v3, or is it going to be incorporated there eventually? Should I better uninstall v3 for now, and replace it with the 1.5.0.9 release candidate?
In the nightly directory the only recent files I can see all end with ".partial.mar", which I understand are "partial updates" but I don't know how to proceed with such files, i.e. the following:
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.9-candidates/rc1/
thunderbird-1.5.0.8-1.5.0.9.en-US.win32.partial.mar
MTIA for further advice.
(Assignee)

Comment 86

12 years ago
anyone still seeing this in 1.5.0.9?

Comment 87

12 years ago
Hi,

Yes, but my particular problem Bug 355084 is still there, Left Clicking on email messages to open and get an error message...SEAMONKEY caused an exception 10H in module JS3250.DLL at 0177:60dc0560. I see it now shows as RESOLVED DUPLICATE of bug 334263? I've gotten used to it, if I right click on a message and open in new window - after doing that once the error does not reoccur untill the next time I open Seamonkey..

I havn't tried any of the new nightly builds, not for quite awhile - I gave up! Sorry...although I am using 1.0.7., still the same problem.

Thanks, John

P.S. Can someone tell me how to uninstall Open Watcom? Which I installed at someones suggestion to try and pinpoint the error - it has no uninstall feature? It also doesn't show in Add/Remove Programs...

Comment 88

12 years ago
(In reply to comment #86)
> anyone still seeing this in 1.5.0.9?
> 
Yes, me!
I'm afraid that the problem is still there for me... I just uninstalled the TB 2 beta I had been using for the last few week, and replaced it with the TB 1.5.0.9 release (from the Mozilla website).
(I had reverted from the tb3alpha to the tb2beta nightlies after my comment#85.)

When I first launched TB 1.5.0.9, I was able to delete a few messages using the Delete key. Then I exited, and relaunched it, tried to delete a few more and move around folders, and this time it crashed upon selecting a different message.

See Talkback incidents TB28169892Y, TB28169882Z.
Thanks.

Comment 89

12 years ago
Not blocking the upcoming release, but let's continue to debug and try to get a handle on this for a future branch release.
Flags: blocking1.8.1.2+
Flags: blocking1.8.0.10+

Comment 90

12 years ago
(In reply to comment #89)

Hi, John Here...my particular issue with this problem has now expanded to the point where I get a crash almost everytime. Remember that I said I used to be able to right click on a message and open in a new window and then I would have no problems left clicking on messages after that. Well, now it sometimes also crashes after right clicking too? Go figure? My original bug was Bug 355084...

Question? How many people are having this problem, or is it only a select few?

Comment 91

12 years ago
This bugs seems to affect not too many users, right? Otherwise it would have been fixed by now, I guess.
(Reporter)

Comment 92

12 years ago
I was the one who started this thread in April of last year.  Contrary to the last comment, I think the bug affects a fair number of users -- just look back at the history of comments.  Once the bug hits you you've got exactly one option -- quit using Thunderbird.  I went to Eudora in May and I'm still using it -- a shame, but what was the alternative?

Comment 93

12 years ago
(In reply to comment #92)
I thought it only affects Windows XP users with a certain processor type. Mine was an elder Athlon processor. At my girlfriend's computer I am running TB under Win XP also and the bug did not appear. Thus my conclusion that only a small group is affected. 

Comment 94

12 years ago
Hey, 

I'm running Thunderbird 1.5.0.9 (20061219) on Fedora Core 6 on a Dell Latitude D800 laptop (Pentium M 1.33 GHz, 512 MB RAM), and I have the same problem: thunderbird crashes (simlpy disappears, no error messages) randomly when trying to read e-mail messages. It's happening for both POP and IMAP accounts.
Has anyone tried a new profile, just to see whether there might be some poison pill in the existing profile?  Thanks,

/be

Comment 96

12 years ago
(In reply to comment #95)
> Has anyone tried a new profile, just to see whether there might be some poison
> pill in the existing profile?

yes, I did, when I first started having the crashes on this new machine (see my Comment #81) and it did not help. I'm now back on the 2b nightlies, and a couple of days ago, I found TB to be particularly twitchy (it would just crash all the time). I have then left it running overnight and it stopped crashing, even after being restarted by the daily build update. However, I just closed and relaunched it myself, and the problem occurred again (crash upon deletion using the Del key).

generally, after I have successfully deleted several messages using the X toolbar button, I can start using the Del key again without further problem (this generally works until I restart TB). However, on the days when just selecting a message makes TB crash, there is not much I can do, other than try again several hours later...

Comment 97

12 years ago
Unless it's the latest TB2b2 builds that came with the magic fix,
it seems I have found where *my* poison pill was hiding! 

Several years ago, I started using a small utility (AllChars - http://allchars.zwolnet.com/), very useful to input special characters. Its development has apparently stopped, pending help to turn it into an open-source project. So the site says "AllChars v3.6.2 is the latest version. If you have problems with v3.6.2, install the v3.6.3 patch." 

I used to patch all my installations of AllChars, even though I never thought I had any problem... Now, when I last installed all my apps on this new machine, after going through complete reinstalls a half-dozen times in a couple of months, I omitted applying the v3.6.3 patch. 

Yesterday, a friend reporting that AllChars was interfering with The Gimp and iTunes on his machine prompted me to check whether turning this utility off would help with my TB problems and, 'lo and behold it did! Then I remembered about the patch, applied it, TB does not crash any more AT LAST, and I am very relieved. :)

The other users affected by this issue might want to check whether they are also running a similar macro utility or IME, and switch it off to see whether it makes a difference for them to.
(Reporter)

Comment 98

12 years ago
Hi, Kent Smith again (the one who started this whole line of inquiry 10 months ago).  It may be no coincidence that I also use the AllChars utility, and have for a long time.  Perhaps it's time to upgrade it and finally load Thunderbird again...

Comment 99

12 years ago
Wow, sounds like that might be worth a Mozillazine article. Thx for the feedback.

Comment 100

12 years ago
so, none of the logs here seem to mention allchars.dll or allchr32.dll, does this thing run around with some other name? or does it deal damage w/o its library being in process?
Summary: thunderbird crashes every time I delete a message [@ JS_strtod] → thunderbird crashes every time I delete a message [@ JS_strtod] if allchars is installed
I've never seen this bug when using Thunderbird 1.0 or 1.5, which I've used as my regular mail reader for a long time now, but after installing Thunderbird 2.0 beta 2 on my work machine I started getting crashes in JS_strtod all the time.  From what I can tell from the talkback reports, they seem to be linked to this bug.

The talkback incident IDs I've reported since yesterday are TB29164439G, TB29164323X, TB29162097Z, TB29138334X, TB29136150Z, TB29136136Y, TB29136050G, TB29135927G, TB29135347H, TB29135243K, TB29135216Z.

It seems it may be more likely to happen when I'm reading a mail containing HTML, or even an automatically generated link, but I'm not sure.

I've never heard of AllChars before and I don't have allchars.dll or allchr32.dll on my system according to the Windows Find function (and I've told it to look through all folders; it found 10,000 DLL files but not those).

I've just installed the latest nightly I could found, http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2007-02-08-04-mozilla1.8/thunderbird-2.0pre.en-US.win32.installer.exe, and I get the same crashes there (though the Talkback window doesn't show up for some reason).

This seems to be very reproducible for me, I can almost always trigger the bug in a minute or two just by looking around in my inbox.

Running Windows XP, upgraded from what used to be a Windows 2000 installation, on a 1.8 GHz Pentium 4 computer -- a Dell Precision 330 workstation with 1 GB of Rambus memory.

(In reply to comment #4)
> http://lxr.mozilla.org/mozilla/source/mail/base/content/phishingDetector.js#181

Seems I should have read this more carefully the first time.  After getting this clue I turned off "Tools/Options/Privacy/E-mail scams/Tell me..." and now I can finally read messages with URLs in them without a crash.

If I turn the option back on Thunderbird will always crash with certain messages.  If I turn it off I can reliably read the same messages without a crash, as far as I can tell.

Deleting messages also used to cause Thunderbird to crash, but I assume that this is because Thunderbird then shows another message, which may contain an URL which causes the phishing detector to crash.

This bug is still an issue, since I'd like to have the phishing detector turned on, but I guess I'll use this workaround from now on so I won't be submitting any Talkback reports.
I have now turned off a program called AceClock XP (http://www.aceclock.com/), which I installed a while ago in order to have a visible clock when the task bar is in auto-hide mode, and Thunderbird no longer crashes.  Sorry about the noise, but maybe this can help someone else having similar problems but not using AllChars.

Comment 104

12 years ago
can either the allchars or aceclock people check to see if there are .sys files in your allchars/aceclock directories?
Whiteboard: [sg:investigate] → [sg:investigate] DUPEME
There are no .sys files in my c:\program files\aceclockxp directory.

It does seem to hook into the system more deeply than I'd assume a clock would do -- it changes display modes whenever the ctrl key is pressed, it contains a mouse odometer, and so on.  Useless functionality for me, all I wanted was a small transparent clock, but that seems to be the connection to AllChars.
 

Comment 106

12 years ago
http://www.microsoft.com/technet/sysinternals/utilities/processmonitor.mspx

sorry, i've never used process monitor (i've was using its predecessors...), can you run it, tell it to watch aceclockxp (or the other one as appropriate) and then start the aceclockxp (..), and then start thunderbird?

if the zipped logs don't contain anything private and are less than 1mb you might just attach them here. (or perhaps just indicate if you see any sign of .sys/.drv/etc...)

Comment 107

12 years ago
(In reply to comment #104)
> can either the allchars or aceclock people check to see if there are .sys files
> in your allchars/aceclock directories?
> 

no .sys files here, neither under C:\Program Files\AllChars\, nor under C:\Documents and Settings\...

if I may repeat: only the *unpatched* AllChars version 3.6.2 interferes with TB, and only when the AllChars application is *enabled* (you can have AllChars running and toggle between enabled/disabled modes). Since I applied the AllChars v3.6.3 patch, TB does not crash any more.

the way AllChars works is similar to what Jonas K just mentionned in Comment #105, in that it sits in the background *waiting for the Ctrl key* to be pressed. So there must be something both the old AllChars v3.6.2 and AceClock XP do when they're waiting to intercept the Ctrl key, that is wrong.

Comment 108

12 years ago
a comment from the AllChars team: "the problems are caused by the tool (Borland
Delphi) used to make AllChars. Also other programs made with the same
version of this Borland Delphi give the same problems."
so, in the case of AllChars, only v. 3.6.2 is causing problems and only when the application is running and enabled. The v. 3.6.3 patch resolves the problem, and I hear they are working on version 4.0.

Comment 109

12 years ago
thx, that's good to know.

Comment 110

12 years ago
do they have a link to a delphi tech report describing the problem? or can they explain what code would do to tickle it, or which version(s) of delphi are affected?
Keywords: relnote

Updated

12 years ago
Duplicate of this bug: 350674
virtually non-existent on trunk/breakpad except for 1 seamonkey crash, build 2007080102 bp-b7262bc0-4077-11dc-a6ac-001a4bd43ed6  -- stack is pretty much same as comment 63.

timeless, do you still think this is a dupe?

Comment 113

12 years ago
(In reply to comment #110)
> do they have a link to a delphi tech report describing the problem? or can they
> explain what code would do to tickle it, or which version(s) of delphi are
> affected?
> 

here's what Jeroen tells me:
"That all is a long time ago. I do not have refs to Delphi Tech Reports 
about this, but if I remember well, the buggy compiler is Delphi 4.
Allchars 3.6.3 is exact the same code compiled with Delphi 6, and solved 
the problems.
Sorry I can not help you any further, but I am no longer developing with 
Delphi since years, so lost touch with it/them."
Flags: blocking-thunderbird2?
Allchars is at version 4 and their download page cites the problems with version 3.6.2  
http://allchars.zwolnet.com/download/program.html
http://allchars.zwolnet.com/open-source-project/history-and-future.html

so should this bug be closed invalid?
timeless suggested a ways back I look at these bugs 

bug 212501 I just closed WFM
bug 334263 = caused by allchars program (this bug)
bug 350674 was about allchars & TB (got duped to this bug 334263)
bug 376780 SM caused by WXKbd program
bug 371706 reporter doesn't use allchars
bug 380249 reporter probably doesn't use allchars, can't reliably recreate

this bug is not a dupe afaict.
and still almost non-existent in trunk crashes.
resolving invalid, caused by allchars program
Status: NEW → RESOLVED
Last Resolved: 13 years ago11 years ago
Resolution: --- → INVALID
Summary: thunderbird crashes every time I delete a message [@ JS_strtod] if allchars is installed → thunderbird crashes every time I delete a message [@ JS_strtod] if allchars program is installed courtesy Borland Delphi
Whiteboard: [sg:investigate] DUPEME → [sg:investigate] [allchars] [fixed by AllChars v3.6.3 patch]
Crash Signature: [@ JS_strtod]
Keywords: relnote
You need to log in before you can comment on or make changes to this bug.